Home > Element Reference : Slider

Contents

### Slider

This element is essentially a scrollbar without the scroll bar buttons. It is used in implementing a scrollbar.

#### Attributes:

Attributes inherited from XUL Element

curpos

The current position of the slider, which ranges from 0 to the value of the maxpos attribute. The default value is 0.

increment

The amount that the value of the curpos attribute changes by when the scroll bar arrows are clicked. The default value is 1.

maxpos

The maximum position of the slider. The default value is 100.

pageincrement

The amount that the value of the curpos attribute changes by when the tray of the scroll bar is clicked. The tray is the area in which the scroll bar thumb moves along. The default value is 10.

#### Properties and Methods:

Properties and Methods inherited from XUL Element

Copyright (C) 1999 - 2002 XULPlanet.com